package milionario;

import javax.swing.JDialog;

import milionario.gui.CountDownPanel;

/**
 * Questo Thread permette il conteggio da 30 a 0 del pannello di CountDown.
 * 
 * @author Loris Teodorani & Andrea Urbini
 * @version 2.0
 */
public class CountDownAgent extends Thread {

	/**
	 * Main da utilizzare solo in caso di test
	 * 
	 * @param s
	 */
	public static void main(String[] s) {
		new CountDownAgent().start();
	}

	private int i;
	private JDialog dialog;

	private CountDownPanel panel;

	/**
	 * Costruttore
	 * 
	 */
	public CountDownAgent() {
		super();
		dialog = new JDialog();
		dialog.setTitle("CountDown");
		dialog.setBounds(0, 0, 200, 200);
		panel = new CountDownPanel();
		dialog.getContentPane().add(panel);
	}

	/*
	 * (non-Javadoc)
	 * 
	 * @see java.lang.Runnable#run()
	 */
	@Override
	public void run() {
		dialog.setVisible(true);
		i = 30;
		try {
			while (i > 0) {
				sleep(1000);
				i--;
				panel.repaint(i);
			}
			sleep(1000);
		} catch (InterruptedException e) {
		}
		dialog.setVisible(false);
	}
}
