package milionario;

/**
 * @author Andrea Urbini
 * @version 1.0
 * 
 */

public class FlagRegister {

	private boolean answerSelected;
	private boolean questionWrited;
	private boolean soundEnabled;
	private boolean musicEnabled;

	public FlagRegister() {
		super();
	}

	/**
	 * 
	 * @return true se è stata selezionata una risposta.
	 */
	public boolean isAnswerSelected() {
		return answerSelected;
	}

	/**
	 * 
	 * @return true se la riproduzione della musica è abilitata
	 */
	public boolean isMusicEnabled() {
		return musicEnabled;
	}

	/**
	 * 
	 * @return true se la domanda è stata scritta dul DomandaPanel
	 */
	public boolean isQuestionWrited() {
		return questionWrited;
	}

	/**
	 * 
	 * @return true se la riproduzione degli effetti sonori è ablitata
	 */
	public boolean isSoundEnabled() {
		return soundEnabled;
	}

	/**
	 * true se è stata selezionata una risposta.
	 * 
	 * @param response
	 */

	public void setAnswerSelected(boolean response) {
		answerSelected = response;
	}

	/**
	 * true per abilitare la riproduzione del sottofondo musicale
	 * 
	 * @param response
	 */
	public void setMusicEnabled(boolean response) {
		musicEnabled = response;
	}

	/**
	 * true se è stata scritta la domanda sul DomandaPanel
	 * 
	 * @param response
	 */
	public void setQuestionWrited(boolean response) {
		questionWrited = response;
	}

	/**
	 * true per abilitare la riproduzione degli effetti sonori
	 * 
	 * @param response
	 */
	public void setSoundEnabled(boolean response) {
		soundEnabled = response;
	}

}
