/*
 * Created on 19-lug-2005
 *
 */
package milionario;

import javax.sound.sampled.AudioSystem;
import javax.sound.sampled.Clip;
import javax.sound.sampled.LineUnavailableException;

/**
 * @author Andrea Urbini
 * @version 2.0
 */
public class MusicPlayer {

	private Clip clip = null;

	public MusicPlayer() throws LineUnavailableException {
		clip = AudioSystem.getClip();
	}

	/**
	 * 
	 */
	public void pause() {
		clip.close();
	}

	/**
	 * 
	 */
	public void play() throws Exception {
		clip.open(AudioSystem.getAudioInputStream(getClass()
				.getResourceAsStream("/data/bgmusic.wav")));
		clip.loop(Clip.LOOP_CONTINUOUSLY);
	}
}
