/*
 * Created on 17-lug-2005
 *
 */
package milionario;

import java.io.BufferedOutputStream;
import java.io.File;
import java.io.FileOutputStream;
import java.io.PrintStream;
import java.text.SimpleDateFormat;
import java.util.GregorianCalendar;

/**
 * Main.
 * 
 * @author Loris Teodorani & Andrea Urbini
 * @version 1.0
 */
public class StartMilionario {

	/**
	 *Metodo main
	 * 
	 * @param args
	 *            nosound per avviare il programma senza effetti sonori. nomusic
	 *            per avviare il programma con la musica di sottofondo.
	 */
	public static void main(String[] args) throws Exception {
		PrintStream ps = new PrintStream(new BufferedOutputStream(
				new FileOutputStream(new File("data/exception.log"))), true);
		System.setErr(ps);
		GregorianCalendar gc = new GregorianCalendar();
		SimpleDateFormat sdf = new SimpleDateFormat("dd/MM/yyyy @ HH:mm:ss");
		System.err.print("\n-----------------------------------------------\n"
				+ sdf.format(gc.getTime()) + "  -  Avvio applicazione"
				+ "\n-----------------------------------------------\n");

		int paramType = 0;
		for (int i = 0; i < args.length; i++) {
			if (args[i].equals("nomusic")) {
				paramType += 1;
			}
			if (args[i].equals("nosound")) {
				paramType += 2;
			}
		}
		switch (paramType) {
		case 0: {
			new Milionario(true, true);
			break;
		}
		case 1: {
			new Milionario(false, true);
			break;
		}
		case 2: {
			new Milionario(true, false);
			break;
		}
		case 3: {
			new Milionario(false, false);
			break;
		}
		}

	}
}
