/*
 * Created on 20-lug-2005
 *
 */
package milionario.gui;

import java.awt.Color;
import java.awt.Font;
import java.awt.Graphics;

import javax.swing.JPanel;

/**
 * @author Andrea
 * @version 1.0
 */
public class CountDownPanel extends JPanel {

	/**
	 * 
	 */
	private static final long serialVersionUID = 6819542656461921874L;
	private final Font FONT_COUNT_DOWN = new Font("Dialog", Font.PLAIN, 50);
	private final Color COLORE_SFONDO = new Color(17, 43, 120);
	private int i, x, angle;

	/**
	 * Costruttore
	 * 
	 */
	public CountDownPanel() {
		super();
		i = 30;
		x = 70;
		angle = 12;
	}

	/**
	 *Disegna il cerchio giallo e i numeri del contatore
	 * 
	 */
	@Override
	public void paintComponent(Graphics g) {
		super.paintComponent(g);
		setBackground(COLORE_SFONDO);
		g.setFont(FONT_COUNT_DOWN);
		g.setColor(Color.yellow);
		g.fillOval(20, 10, 150, 150);
		g.setColor(COLORE_SFONDO);
		g.fillArc(19, 9, 152, 152, 90, angle);
		g.fillOval(45, 35, 100, 100);
		g.setColor(Color.white);
		if (i < 10) {
			x = 80;
		}
		g.drawString("" + i, x, 100);
		angle -= 12;
	}

	/**
	 * 
	 * @param i
	 */
	public void repaint(int i) {
		this.i = i;
		super.repaint();
	}
}
